| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
GaudiTest.TempDir Class Reference

## Public Member Functions
def | __init__ (self, keep=False, chdir=False)
def | __str__ (self)
def | __del__ (self)
def | __getattr__ (self, attr)

## Public Attributes
| name

## Private Attributes
| _keep
| _origdir

## Detailed Description

    Small class for temporary directories.
    When instantiated, it creates a temporary directory and the instance
    behaves as the string containing the directory name.
    When the instance goes out of scope, it removes all the content of
    the temporary directory (automatic clean-up).

Definition at line 180 of file GaudiTest.py.

## Constructor & Destructor Documentation

def GaudiTest.TempDir.__init__ | ( |  | self,
|  |  | keep = `False`,
|  |  | chdir = `False`
| ) |  |

Definition at line 187 of file GaudiTest.py.

187 def __init__(self, keep = False, chdir = False):
188 self.name = tempfile.mkdtemp()
189 self._keep = keep
190 self._origdir = None
191 if chdir:
192 self._origdir = os.getcwd()
193 os.chdir(self.name)
194
GaudiTest.TempDir.__init__
def __init__(self, keep=False, chdir=False)
Definition: GaudiTest.py:187
GaudiTest.TempDir._origdir
_origdir
Definition: GaudiTest.py:190
GaudiTest.TempDir.name
name
Definition: GaudiTest.py:188
GaudiTest.TempDir._keep
_keep
Definition: GaudiTest.py:189

def GaudiTest.TempDir.__del__ | ( |  | self | ) |

Definition at line 198 of file GaudiTest.py.

198 def __del__(self):
199 if self._origdir:
200 os.chdir(self._origdir)
201 if self.name and not self._keep:
202 shutil.rmtree(self.name)
203
GaudiTest.TempDir._origdir
_origdir
Definition: GaudiTest.py:190
GaudiTest.TempDir.name
name
Definition: GaudiTest.py:188
GaudiTest.TempDir.__del__
def __del__(self)
Definition: GaudiTest.py:198
GaudiTest.TempDir._keep
_keep
Definition: GaudiTest.py:189

## Member Function Documentation

def GaudiTest.TempDir.__getattr__ | ( |  | self,
|  |  | attr
| ) |  |

Definition at line 204 of file GaudiTest.py.

204 def __getattr__(self,attr):
205 return getattr(self.name,attr)
206
GaudiTest.TempDir.name
name
Definition: GaudiTest.py:188
GaudiTest.TempDir.__getattr__
def __getattr__(self, attr)
Definition: GaudiTest.py:204

def GaudiTest.TempDir.__str__ | ( |  | self | ) |

Definition at line 195 of file GaudiTest.py.

195 def __str__(self):
196 return self.name
197
GaudiTest.TempDir.__str__
def __str__(self)
Definition: GaudiTest.py:195
GaudiTest.TempDir.name
name
Definition: GaudiTest.py:188

## Member Data Documentation

GaudiTest.TempDir._keep
| private

Definition at line 189 of file GaudiTest.py.

GaudiTest.TempDir._origdir
| private

Definition at line 190 of file GaudiTest.py.

GaudiTest.TempDir.name

Definition at line 188 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py